@import url('https://fonts.googleapis.com/css?family=Poppins:wght@200;400&display=swap');
*{
    box-sizing: border-box;
}
:root{
    --background-color:#2a2a72;
    --white-color:#fff;
    --user-background-color:#4c2885;
    --user-placeHolder:#bbb;
    --user-info-color:#eee;
    --repo-color:#212a72;
}
body{
    background-color: var(--background-color);
    color:var(--white-color);
    font-family: 'Poppins', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin:0;
}
.user-form{
    width:100%;
    max-width: 700px;
}
.user-form input{
    width:100%;
    display: block;
    background-color: var(--user-background-color);
    border:none;
    border-radius: 10px;
    color:var(--white-color);
    padding:1rem;
    margin-bottom: 2rem;
    font-family: inherit;
    font-size:1rem;
    box-shadow:0 5px 10px rgba(154,160,185,0.05), 0 15px 40px rgba(0,0,0,0.1);
}
.user-form input::placeholder{
    color:var(--user-placeHolder);
}
.user-form input:focus{
    outline:none;
}
.card{
    max-width: 800px;
    background-color: var(--user-background-color);
    border-radius: 20px;
    box-shadow: 0 5px 10px rgba(154,160,185,0.05), 0 15px 40px rgba(0,0,0,0.1);
    display: flex;
    padding:3rem;
    margin:0 1.5rem;
}
.avatar{
    border-radius: 50%;
    border:10px solid var(--background-color);
    height:150px;
    width:150px;
}
.user-info{
    color:var(--user-info-color);
    margin-left:2rem;
}
.user-info h2{
    margin-top:0;
}
.user-info ul{
    display: flex;
    /* remove circles from parent */
    list-style-type:none;
    display: flex;
    justify-content: space-between;
    padding:0;
    max-width:400px;
}
.user-info ul li{
    display: flex;
    align-items:center;
}
.user-info ul li strong{
    font-size: 0.9rem;
    margin-left:0.5rem;
}
.repo{
    text-decoration: none;
    color:var(--white-color);
    background-color: var(--repo-color);
    font-size: 0.7rem;
    padding:0.25rem 0.5rem;
    margin-right: 0.5rem;
    margin-bottom: 0.5rem;
    display: inline-block;
}
@media (max-width:500px){
    .card{
        flex-direction: column;
        align-items: center;
    }
    .user-form{
        max-width:400px
    }
}